Bug 67761 - anaconda crashed when selecting english as language
anaconda crashed when selecting english as language
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-01 15:48 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump file generated by anaconda (35.91 KB, text/plain)
2002-07-01 15:49 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-07-01 15:48:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
As soon as I click the mouse button to proceed to the next screen, a
dialogue box indicates an unhandeled exception.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start installation from CD
2.wait for anaconda to start
3.when given option, select english as language
	

Actual Results:  A dialogue box informed me that an unhandled exception had
occured

Expected Results:  installation should have continued

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 624, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 402, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 518, in setScreen
    exec s
  File "<string>", line 1, in ?
  File "/usr/lib/anaconda/iw/keyboard_gui.py", line 1
    box.pack_start(sw, TRUE)
    ^
SyntaxError: invalid syntax

Local variables in innermost frame:
args: (<language.InstallTimeLanguage instance at 8681868>, <kbd.Keyboard
instance at 8682258>, <xf86config.XF86Config instance at 8372a60>)
self: <gui.InstallControlWindow instance at 827acb8>
newScreenClass: None
s: from keyboard_gui import KeyboardWindow; newScreenClass = KeyboardWindow
file: keyboard_gui
step: keyboard
className: KeyboardWindow
Comment 1 Need Real Name 2002-07-01 15:49:44 EDT
Created attachment 63304 [details]
dump file generated by anaconda
Comment 2 Michael Fulbright 2002-07-01 16:01:20 EDT
Please check the md5sum's of your CDs, there appears to be a problem there.
Comment 3 Michael Fulbright 2002-08-02 15:02:52 EDT
Closing due to inactivity - please reopen if you have additional information to add.
Comment 4 Red Hat Bugzilla 2006-02-21 13:49:10 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.